| Home | Libraries | People | FAQ | More

## Struct template tree_type

boost::container::tree_type — defined(BOOST_CONTAINER_DOXYGEN_INVOKED)

## Synopsis

    // In header: <boost/container/options.hpp>

    template<tree_type_enum TreeType>
    struct tree_type {
    };

## Description

This option setter specifies the underlying tree type (red-black, AVL, Scapegoat or Splay) for ordered associative containers